package nc.ui.gl.assattributebanlance;

import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import nc.ui.gl.assattributebanlance.AssAttributeList;
import nc.ui.gl.assattributebanlance.QryObjectList;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.UILabel;
import nc.ui.pub.beans.UIPanel;

public class ListPanel extends UIPanel implements ListSelectionListener {

   private QryObjectList ivjQryObjectList1 = null;
   private UILabel ivjUILabel1 = null;
   private UILabel ivjUILabel11 = null;
   private AssAttributeList ivjAssAttributeList1 = null;


   public ListPanel() {
      this.initialize();
   }

   public ListPanel(LayoutManager p0) {
      super(p0);
   }

   public ListPanel(LayoutManager p0, boolean p1) {
      super(p0, p1);
   }

   public ListPanel(boolean p0) {
      super(p0);
   }

   private AssAttributeList getAssAttributeList1() {
      if(this.ivjAssAttributeList1 == null) {
         try {
            this.ivjAssAttributeList1 = new AssAttributeList();
            this.ivjAssAttributeList1.setName("AssAttributeList1");
            this.ivjAssAttributeList1.setBounds(3, 119, 424, 67);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjAssAttributeList1;
   }

   private QryObjectList getQryObjectList1() {
      if(this.ivjQryObjectList1 == null) {
         try {
            this.ivjQryObjectList1 = new QryObjectList();
            this.ivjQryObjectList1.setName("QryObjectList1");
            this.ivjQryObjectList1.setBounds(3, 14, 424, 82);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjQryObjectList1;
   }

   private UILabel getUILabel1() {
      if(this.ivjUILabel1 == null) {
         try {
            this.ivjUILabel1 = new UILabel();
            this.ivjUILabel1.setName("UILabel1");
            this.ivjUILabel1.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000462"));
            this.ivjUILabel1.setBounds(3, -2, 62, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel1;
   }

   private UILabel getUILabel11() {
      if(this.ivjUILabel11 == null) {
         try {
            this.ivjUILabel11 = new UILabel();
            this.ivjUILabel11.setName("UILabel11");
            this.ivjUILabel11.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000463"));
            this.ivjUILabel11.setBounds(3, 101, 102, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel11;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("ListPanel");
         this.setLayout((LayoutManager)null);
         this.setSize(428, 189);
         this.add(this.getQryObjectList1(), this.getQryObjectList1().getName());
         this.add(this.getUILabel1(), this.getUILabel1().getName());
         this.add(this.getUILabel11(), this.getUILabel11().getName());
         this.add(this.getAssAttributeList1(), this.getAssAttributeList1().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getQryObjectList1().getTable().getSelectionModel().addListSelectionListener(this);
      this.getAssAttributeList1().getTable().getSelectionModel().addListSelectionListener(this);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ListPanel aListPanel = new ListPanel();
         exception.setContentPane(aListPanel);
         exception.setSize(aListPanel.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.beans.UIPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void valueChanged(ListSelectionEvent e) {
      int iSelectedRow = this.getQryObjectList1().getTable().getSelectedRow();
      String strSelectedRowTypeName = this.getQryObjectList1().getTableModel().getQuryObjVOs()[iSelectedRow].getType();
      this.getAssAttributeList1().setStrCurrentObjName(strSelectedRowTypeName);
      this.getAssAttributeList1().fireStopEditing();
      this.getAssAttributeList1().getTable().repaint();
      this.getQryObjectList1().fireStopEditing();
   }
}
